# Form implementation generated from reading ui file 'src/eric7/MicroPython/BoardDataDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_BoardDataDialog(object):
    def setupUi(self, BoardDataDialog):
        BoardDataDialog.setObjectName("BoardDataDialog")
        BoardDataDialog.resize(600, 650)
        BoardDataDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(BoardDataDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=BoardDataDialog)
        font = QtGui.QFont()
        font.setPointSize(14)
        font.setBold(True)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignCenter)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.dataTree = QtWidgets.QTreeWidget(parent=BoardDataDialog)
        self.dataTree.setHeaderHidden(True)
        self.dataTree.setObjectName("dataTree")
        self.dataTree.headerItem().setText(0, "1")
        self.verticalLayout.addWidget(self.dataTree)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=BoardDataDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(BoardDataDialog)
        self.buttonBox.accepted.connect(BoardDataDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(BoardDataDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(BoardDataDialog)

    def retranslateUi(self, BoardDataDialog):
        _translate = QtCore.QCoreApplication.translate
        BoardDataDialog.setWindowTitle(_translate("BoardDataDialog", "Board Data"))
        self.label.setText(_translate("BoardDataDialog", "Board Data"))
